Bug 441314 - Dim and/or blur background behind windows
Summary: Dim and/or blur background behind windows
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-overview (show other bugs)
Version: git master
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-21 17:15 UTC by sk.griffinix
Modified: 2021-10-21 08:50 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sk.griffinix 2021-08-21 17:15:38 UTC
SUMMARY
The new overview appears very promising. However, without dimming the background wallpaper/icons and/or applying a blur layer on it, it becomes difficult to seperate windows. Problem is more pronounced with wallpapers that match theme's background colour, but it would certainly benefit almost all cases if the windows (and maybe workspaces in future) are clearly differentiated from background.

Ideally, it would appear to be best if a plasma theme property (such as widget background colour or panel background) is used, however, it will create problem if the overview intend to display panel as well. So it is better if the background is slightly dimmed, and blurred for a visually appealing effect. In case blur is disabled, the dimmed background should be sufficient to differentiate the content
Comment 1 geisserml 2021-08-22 18:35:33 UTC
Most users may want to see their wallpaper for the Overview to be more pleasant and less dull.

If using a dark theme, dimming the background will decrease the contrast to windows, thereby making it harder to identify the window you want to choose, or to get a quick overview.

Using the panel background colour would also make it more difficult to distinguish the windows from the background, since the panel colour is similar to the widget/window background colour with most themes. So this would do exactly the contrary of what you want.

After what happened to Present Windows, I'd be very reluctant to add any kind of dimming (Bug 303438). We don't want that flop again, really.
Comment 2 sk.griffinix 2021-08-23 09:08:54 UTC
If all the widgets, icons etc on desktop are hidden, i don't think there is much necessasity to dim or blur. Otherwise, it is becomes too chaotic. Maybe a blur effect at least would suffice instead of dimming, though it will cause issues in cases where a user has disabled blur or hardware doesn't support it
Comment 3 geisserml 2021-08-23 10:51:40 UTC
> though it will cause issues in cases where a user has disabled blur or hardware 
> doesn't support it
Blur, provided it is only applied to the wallpaper and not to windows, seems a better approach to me. It could be configurable in the effect's settings, rather than using the global setting.
I expect graphics hardware not supporting blur is a very improbable scenario?
Comment 4 sk.griffinix 2021-08-23 16:01:41 UTC
If the effect itself applies blur, that is configurable independent of blur effect in system settings, it would be a good solution in most cases.
Comment 5 Vlad Zahorodnii 2021-09-02 13:49:40 UTC
Applying blur effect is an option but the overview effect already slightly dims background
Comment 6 Vlad Zahorodnii 2021-10-21 08:50:35 UTC
the overview effect blurs background now. https://invent.kde.org/plasma/kwin/-/merge_requests/1548